Subject: Re: What's cooking in git.git (Mar 2015, #08; Mon, 23)

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Mar 2015 13:02:35 -0700

Junio C Hamano <[email-masked]> writes:

> * jk/test-chain-lint (2015-03-22) 28 commits
>  - t6039: fix broken && chain
>  - t9158, t9161: fix broken &&-chain in git-svn tests
>  - t9104: fix test for following larger parents
>  - t4104: drop hand-rolled error reporting
>  - t0005: fix broken &&-chains
>  - t7004: fix embedded single-quotes
>  - t0050: appease --chain-lint
>  - t9001: use test_when_finished
>  - t4117: use modern test_* helpers
>  - t6034: use modern test_* helpers
>  - t1301: use modern test_* helpers
>  - t0020: use modern test_* helpers
>  - t6030: use modern test_* helpers
>  - t9502: fix &&-chain breakage
>  - t7201: fix &&-chain breakage
>  - t3600: fix &&-chain breakage for setup commands
>  - t: avoid using ":" for comments
>  - t: wrap complicated expect_code users in a block
>  - t: use test_expect_code instead of hand-rolled comparison
>  - t: use test_might_fail for diff and grep
>  - t: fix &&-chaining issues around setup which might fail
>  - t: use test_must_fail instead of hand-rolled blocks
>  - t: use verbose instead of hand-rolled errors
>  - t: assume test_cmp produces verbose output
>  - t: fix trivial &&-chain breakage
>  - t: fix moderate &&-chain breakage
>  - t: fix severe &&-chain breakage
>  - t/test-lib: introduce --chain-lint option
>
>  People often forget to chain the commands in their test together
>  with &&, leaving a failure from an earlier command in the test go
>  unnoticed.  The new GIT_TEST_CHAIN_LINT mechanism allows you to
>  catch such a mistake more easily.
>
>  What I queued here has fix to the issue J6t found in 15/25 squashed
>  in, and also has 26/25 and 27/25 follow-up fixes from Michael, plus
>  28/25 follow-up from Torsten.  If everybody involved is happy with
>  it, we can just proceed with this copy, otherwise I'll let Peff
>  reroll.  I am happy either way.

I'll merge this to 'next' soonish, unless I hear otherwise.  I
double checked 15/25 (i.e. $feature{"forks"}{"default"} = [1];)
so I think we are in good shape.

Thanks.